CDN
Create CDN Zone
post
/cdn/zonesCreate a new CDN zone.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Cuerpo de la petición
Create a new CDN zone
application/jsonObligatorio
name*string
Zone name (used as subdomain: {name}.cube.io)
Rango
1 ≤ length ≤ 63Rangopattern ^[a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?$custom_domain?string | null
Custom domain (optional)
Rango
1 ≤ length ≤ 253plan_name*string
CDN plan name
project_id?integer | null
Project ID (uses default if not specified)
Respuestas
Successful Response
application/json
uuid*string
name*string
domain*string
status*CDNZoneStatus
Valores
"deploying""active""suspended""deleting""deleted"plan_name*string
detail*string